Skip to main content
GET
Retrieve Stroker Calibration

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"alpha-bravo-charlie-delta"

Response

200 - application/json

OK

The calibration information of the stroker on the device.

calib_low_position
number

The low position of the stroker in mm, stroker in physically blocked position.

Example:

50

calib_high_position
number

The high position of the stroker in mm, stroker in physically blocked position.

Example:

50

calibration_length
number

The length of the stroker in mm.

Example:

100

hall_low_position
number

The low hall sensor position in mm.

Example:

50

hall_high_position
number

The high hall sensor position in mm.

Example:

150

calib_shift
number

The shift after calibration if only encoder used, in mm.

Example:

5